Skip Menu |
 

This queue is for tickets about the Poet CPAN distribution.

Report information
The Basics
Id: 93017
Status: new
Priority: 0/
Queue: Poet

People
Owner: Nobody in particular
Requestors: warren [...] etr-usa.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: Moose changes in 0.14 causes type constraint failures with Perl 5.16
Date: Thu, 13 Feb 2014 21:05:54 -0700
To: bug-Poet [...] rt.cpan.org
From: Warren Young <warren [...] etr-usa.com>
Download (untitled) / with headers
text/plain 818b
I have attached a build.log file from a "cpanm Poet" attempt. The failures start with this one: # Failed test 'test_app_name_to_dir died (Attribute (type) does not pass the type constraint because: Validation failed for 'Moose::Meta::TypeConstraint' with value Attribute (not isa Moose::Meta::TypeConstraint) at /usr/local/lib64/perl5/Moose/Exception.pm line 38 There's a lot more, but everything else seems to cascade from that. This didn't happen on my Perl 5.8.8 based machine. Also, Poet 0.14 should have Mason >= 2.22 as a prerequisite. Otherwise, you get *more* complains due to Class::MOP::load_class deprecation. You fixed this in Mason 2.22, but if you just say "cpanm Poet" on a system with older Poet+Mason installed, it doesn't upgrade Mason for you before moving on to the Poet upgrade.
Download build.log
text/plain 19.3k

Message body is not shown because sender requested not to inline it.



This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.